Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor Class Reference
Inheritance diagram for eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor:

## Public Member Functions
| postProcessValueHash ($outgoingValueHash)
| In addition to the destinationContentId, adds a destinationContentHref entry. More...
| postProcessFieldSettingsHash ($outgoingSettingsHash)
| Perform manipulations on a received $outgoingSettingsHash. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor
| setRouter (RouterInterface $router)
| setLocationService (LocationService $locationService)
| canMapContentHref ()
| mapToContentHref ($contentId)
| mapToLocationHref ($locationId)
| preProcessFieldSettingsHash ($incomingSettingsHash)
| Perform manipulations on a received $incomingSettingsHash. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\FieldTypeProcessor
| preProcessValueHash ($incomingValueHash)
| Perform manipulations on a received $incomingValueHash. More...
| preProcessValidatorConfigurationHash ($incomingValidatorConfigurationHash)
| Perform manipulations on a received $incomingValidatorConfigurationHash. More...
| postProcessValidatorConfigurationHash ($outgoingValidatorConfigurationHash)
| Perform manipulations on a received $outgoingValidatorConfigurationHash. More...

## Detailed Description

Definition at line 9 of file REST/Common/FieldTypeProcessor/RelationProcessor.php.

## Member Function Documentation

## ◆ postProcessFieldSettingsHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor::postProcessFieldSettingsHash | ( |  | $outgoingSettingsHash | ) |

Perform manipulations on a received $outgoingSettingsHash.

This method is called by the REST output visitors to allow a field type to post process the given $outgoingSettingsHash, which was previously generated using (), before it is sent to the client. The return value of this method replaces $outgoingSettingsHash and must obey to the same rules as the original $outgoingSettingsHash.

See also
  \eZ\Publish\Core\REST\Common\Output\FieldTypeSerializer

Parameters

  mixed | $outgoingSettingsHash |

Returns
  mixed Post processed hash

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor.

Definition at line 31 of file REST/Common/FieldTypeProcessor/RelationProcessor.php.

References eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\mapToLocationHref().

## ◆ postProcessValueHash()

eZ\Publish\Core\REST\Common\FieldTypeProcessor\RelationProcessor::postProcessValueHash | ( |  | $outgoingValueHash | ) |

In addition to the destinationContentId, adds a destinationContentHref entry.

Parameters

  array | $outgoingValueHash |

Returns
  array

Reimplemented from eZ\Publish\Core\REST\Common\FieldTypeProcessor.

Definition at line 18 of file REST/Common/FieldTypeProcessor/RelationProcessor.php.

References eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\canMapContentHref(), and eZ\Publish\Core\REST\Common\FieldTypeProcessor\BaseRelationProcessor\mapToContentHref().

The documentation for this class was generated from the following file:

- REST/Common/FieldTypeProcessor/RelationProcessor.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.